## com.ibm.lab.soln.editor.extras
Class IncrementRowValuesObjectActionDelegate

    java.lang.Object
      |
      +--com.ibm.lab.soln.editor.extras.IncrementRowValuesObjectActionDelegate

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

public class IncrementRowValuesObjectActionDelegate
extends java.lang.Object
implements org.eclipse.ui.IObjectActionDelegate

Action to increment the selected row(s) from the mini-spreadsheet.

Constructor Summary
`IncrementRowValuesObjectActionDelegate()`

Method Summary
`void` | `run(org.eclipse.jface.action.IAction action)` Increment each cell containing an integer.
`void` | `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)` Enable the action if there is at least one cell containing an integer.
`void` | `setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncrementRowValuesObjectActionDelegate

    public IncrementRowValuesObjectActionDelegate()

Method Detail

### run

    public void run(org.eclipse.jface.action.IAction action)

  Increment each cell containing an integer.

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.run(IAction)`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Enable the action if there is at least one cell containing an integer.

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.selectionChanged(IAction, ISelection)`

### setActivePart

    public void setActivePart(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart targetPart)

  Specified by:
    `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`